org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface Parameter

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, Variable
  All Known Implementing Classes:
    ParameterImpl

      public interface Parameter
      extends Variable

  A representation of the model object 'Parameter'.

  The following features are supported:

  - `Direction`
  See Also:
    `PatternLanguagePackage.getParameter()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterDirection` | `getDirection()` Returns the value of the 'Direction' attribute.
    `void` | `setDirection(ParameterDirection value)` Sets the value of the '`Direction`' attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.Variable

      `getName, getType, setName, setType`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDirection

          ParameterDirection getDirection()

      Returns the value of the 'Direction' attribute. The literals are from the enumeration `ParameterDirection`.

      If the meaning of the 'Direction' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Direction' attribute.
      See Also:
        `ParameterDirection`, `setDirection(ParameterDirection)`, `PatternLanguagePackage.getParameter_Direction()`
      Generated:
      Model:

    - #### setDirection

          void setDirection(ParameterDirection value)

      Sets the value of the '`Direction`' attribute.
      Parameters:
        `value` - the new value of the 'Direction' attribute.
      See Also:
        `ParameterDirection`, `getDirection()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `Variable`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"